{
  "name": "cpam38-platform",
  "version": "1.0.1",
  "description": "cpam38-platform front-end app",
  "main": "public/index.php",
  "directories": {
    "doc": "docs"
  },
  "scripts": {
    "start": "php bin/console server:run 0.0.0.0:9091 & npm run compile-and-watch-vue",
    "test": "node src/MobicoopBundle/spec/runtests.js",
    "testAndCoverage": "node src/MobicoopBundle/spec/runtests.js -c",
    "testFixAndCoverage": "php vendor/bin/php-cs-fixer.phar fix --using-cache=no src &&  php vendor/bin/php-cs-fixer.phar fix --using-cache=no src/MobicoopBundle/spec && node src/MobicoopBundle/spec/runtests.js -c",
    "compile": "encore production",
    "compile-and-watch": "encore dev-server --public --host 0.0.0.0 --port 9089 --disable-host-check",
    "compile-and-watch-vue": "encore dev-server  --public --host 0.0.0.0 --port 9089 --disable-host-check --hot",
    "postinstall": "composer install && npm run compile",
    "install-ci": "composer install && npm run compile"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/mobicoop/cpam38-platform.git"
  },
  "author": "MatthD",
  "license": "AGPL-3.0",
  "bugs": {
    "url": "https://gitlab.com/mobicoop/cpam38-platform/issues"
  },
  "browserslist": [
    "last 2 versions",
    "ios >= 8"
  ],
  "homepage": "https://gitlab.com/mobicoop/cpam38-platform",
  "devDependencies": {
    "@babel/preset-env": "^7.10.3",
    "@percy/cypress": "^1.0.9",
    "babel-eslint": "^10.1.0",
    "babel-plugin-transform-class-properties": "^6.24.1",
    "babel-preset-stage-3": "^6.24.1",
    "cypress": "^3.3.1",
    "deepmerge": "^4.0.0",
    "eslint": "^5.0.0",
    "eslint-loader": "2.1.0",
    "eslint-plugin-vue": "^6.2.2",
    "fibers": "^4.0.1",
    "postcss-loader": "^3.0.0",
    "sass": "^1.22.7",
    "sass-lint": "^1.13.1",
    "sass-lint-webpack": "^1.0.1",
    "sass-loader": "^8.0.0",
    "stylelint-webpack-plugin": "^2.1.0",
    "vue-eslint-parser": "^3.2.2",
    "webpack-notifier": "^1.6.0"
  },
  "dependencies": {
    "@babel/polyfill": "^7.4.4",
    "@symfony/webpack-encore": "^0.30.2",
    "@types/leaflet": "^1.5.12",
    "autoprefixer": "^9.7.4",
    "axios": "^0.18.1",
    "babel-polyfill": "^6.26.0",
    "browserslist": "^4.8.6",
    "bufferutil": "^4.0.3",
    "commander": "^2.18.0",
    "core-js": "^3.6.5",
    "eslint-config-prettier": "^3.0.1",
    "facebook-login-vuejs": "^2.1.3",
    "fs-readdir-recursive": "^1.1.0",
    "kuler": "^1.0.0",
    "leaflet": "^1.5.1",
    "lodash": "^4.17.11",
    "@mdi/font": "^5.3.45",
    "material-design-icons-iconfont": "^5.0.1",
    "moment": "^2.24.0",
    "node-sass": "^4.14.1",
    "postcss-cli": "^7.1.1",
    "remove": "^0.1.5",
    "request": "^2.88.0",
    "stylelint": "^13.0.0",
    "stylelint-config-standard": "^20.0.0",
    "stylelint-scss": "^3.18.0",
    "transform-runtime": "0.0.0",
    "underscore": "^1.9.1",
    "utf-8-validate": "^5.0.4",
    "vue": "^2.6.1",
    "vue-form-wizard": "^0.8.4",
    "vue-i18n": "^8.11.2",
    "vue-loader": "^15.4.2",
    "vue-template-compiler": "^2.5.17",
    "vue2-leaflet": "^2.5.2",
    "vue2-leaflet-markercluster": "^3.1.0",
    "vuetify": "^2.3.2",
    "vuetify-loader": "^1.3.0",
    "vuex": "^3.6.2"
  }
}
